easy_admin:
    entities:
        Page:
            class: Notimeo\PageBundle\Entity\Page
            list:
                title: 'entity.page.title.list'
                fields:
                    - { property: title, label: common.title }
                    - { property: image, label: common.image, type: image, base_path: "%app.path.pages_images%" }
                    - { property: updateDate, label: common.update_date }
                actions:
                    - { name: 'new', icon: 'plus' }
                    - { name: 'page', icon: 'eye', type: 'route', label: common.preview }
                    - { name: 'edit', icon: 'pencil' }
                    - { name: 'delete', icon: 'trash' }
            show:
                fields:
                    - { property: 'image', type: 'image', base_path: "%app.path.pages_images%" }
            form:
                fields:
                    - type: 'group'
                      css_class: 'col-md-7'
                      label: 'common.main_content'
                      icon: 'paint-brush'


                    - property: 'locales'
                      type: 'collection'
                      type_options:
                          label: false
                          entry_type: 'Notimeo\PageBundle\Form\Type\PageLocaleType'
                          error_bubbling: false
                          by_reference: false

                    - type: 'group'
                      css_class: 'col-md-5'
                      label: 'common.other'
                      icon: 'cogs'


                    - property: isPublished
                      label: 'common.whether_published'
                    - property: imageFile
                      type: 'Vich\UploaderBundle\Form\Type\VichImageType'
                      label: 'common.image'

                    - type: 'group'
                      css_class: 'col-md-5'
                      label: 'common.attachments'
                      icon: 'files-o'


                    - property: 'pageFiles'
                      type: 'collection'
                      type_options:
                          label: false
                          entry_type: 'Notimeo\PageBundle\Form\Type\PageAttachmentsType'
                          by_reference: false
                          error_bubbling: false
            new:
                title: 'entity.page.title.add'
            edit:
                title: 'entity.page.title.edit'